## org.gnu.gtk
Class CheckButton

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Bin
                          org.gnu.gtk.Button
                              org.gnu.gtk.ToggleButton
                                  org.gnu.gtk.CheckButton

Direct Known Subclasses:
  RadioButton

public class CheckButton
extends ToggleButton

A CheckButton widget displays a small button with a label next to it. The button can be toggled on or off by the mouse, and will retain its state until it is toggled again.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`CheckButton()` Creates a new CheckButton
`CheckButton(Handle handle)` Construct a check button using a handle to a native resource.
`CheckButton(java.lang.String label, boolean hasMnemonic)` Creates a new Checkbutton with a label.

Method Summary
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static int` `gtk_check_button_get_type()`
`protected static Handle` `gtk_check_button_new_with_label(java.lang.String label)`
`protected static Handle` `gtk_check_button_new_with_mnemonic(java.lang.String label)`
`protected static Handle` `gtk_check_button_new()`

Methods inherited from class org.gnu.gtk.ToggleButton

`addListener, fireToggleEvent, getEventListenerClass, getEventType, getInconsistent, getState, gtk_toggle_button_get_active, gtk_toggle_button_get_inconsistent, gtk_toggle_button_get_mode, gtk_toggle_button_get_type, gtk_toggle_button_new_with_label, gtk_toggle_button_new_with_mnemonic, gtk_toggle_button_new, gtk_toggle_button_set_active, gtk_toggle_button_set_inconsistent, gtk_toggle_button_set_mode, gtk_toggle_button_toggled, removeListener, setInconsistent, setState`

Methods inherited from class org.gnu.gtk.Button

`addListener, click, enter, fireButtonEvent, getFocusOnClick, getImage, getLabel, getRelief, getUseStock, getUseUnderline, getXAlignment, getYAlignment, gtk_button_clicked, gtk_button_enter, gtk_button_get_alignment, gtk_button_get_focus_on_click, gtk_button_get_image, gtk_button_get_label, gtk_button_get_relief, gtk_button_get_type, gtk_button_get_use_stock, gtk_button_get_use_underline, gtk_button_leave, gtk_button_new_from_stock, gtk_button_new_with_label, gtk_button_new_with_mnemonic, gtk_button_new, gtk_button_pressed, gtk_button_released, gtk_button_set_alignment, gtk_button_set_focus_on_click, gtk_button_set_image, gtk_button_set_label, gtk_button_set_relief, gtk_button_set_use_stock, gtk_button_set_use_underline, leave, press, release, removeListener, setAlignment, setFocusOnClick, setImage, setLabel, setRelief, setUseStock, setUseUnderline`

Methods inherited from class org.gnu.gtk.Bin
`getChild, gtk_bin_get_child, gtk_bin_get_type`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckButton

    public CheckButton()

  Creates a new CheckButton

### CheckButton

    public CheckButton(Handle handle)

  Construct a check button using a handle to a native resource.

### CheckButton

    public CheckButton(java.lang.String label,
                       boolean hasMnemonic)

  Creates a new Checkbutton with a label. If hasMnemonic is true, any mnemonic characters in the `Label` will be interpreted. See the description of the `Label` class for more details of mnemonic characters.

Parameters:
  `label` - Text to be displayed in a label next to the check box.
  `hasMnemonic` - Determines whether to interpret Mnemonic characters

Method Detail

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_check_button_get_type

    protected static final int gtk_check_button_get_type()

### gtk_check_button_new

    protected static final Handle gtk_check_button_new()

### gtk_check_button_new_with_label

    protected static final Handle gtk_check_button_new_with_label(java.lang.String label)

### gtk_check_button_new_with_mnemonic

    protected static final Handle gtk_check_button_new_with_mnemonic(java.lang.String label)